### Method

# Gsk GLShader get_arg_vec3

#### Declaration [src]

    void
    gsk_gl_shader_get_arg_vec3 (
      GskGLShader* shader,
      GBytes* args,
      int idx,
      graphene_vec3_t* out_value
    )

#### Description [src]

Gets the value of the uniform `idx` in the `args` block.

The uniform must be of vec3 type.

#### Parameters

`args`

  Type: `GBytes`

  Uniform arguments.

  The data is owned by the caller of the method.

`idx`

  Type: `int`

  Index of the uniform.

`out_value`

  Type: `graphene_vec3_t`

  Location to store the uniform value in.

  The data is owned by the caller of the method.